Bug 1275878 - [abrt] dnf: rpmsack.py:288:_delete:AttributeError: Cannot delete attribute installed_by on <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f10c32f15d0>
[abrt] dnf: rpmsack.py:288:_delete:AttributeError: Cannot delete attribute in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:41837085f802c525fbc9b786e6c...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 23:05 EDT by Abhimanyu Dhiman
Modified: 2016-02-16 23:23 EST (History)
6 users (show)

See Also:
Fixed In Version: dnf-1.1.6-1.fc23 dnf-1.1.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 23:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.80 KB, text/plain)
2015-10-27 23:05 EDT, Abhimanyu Dhiman
no flags Details
File: environ (2.04 KB, text/plain)
2015-10-27 23:05 EDT, Abhimanyu Dhiman
no flags Details

  None (edit)
Description Abhimanyu Dhiman 2015-10-27 23:05:31 EDT
Description of problem:
Executed 'dnf -y upgrade'

Version-Release number of selected component:
dnf-0.6.4-7.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf -y upgrade
executable:     /bin/dnf
kernel:         4.1.8-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
rpmsack.py:288:_delete:AttributeError: Cannot delete attribute installed_by on <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f10c32f15d0> 

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 217, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 574, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 696, in _run_transaction
    self.verify_transaction(cb.verify_tsi_package)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 808, in verify_transaction
    yumdb_item.clean()
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 326, in clean
    self._delete(item)
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmsack.py", line 288, in _delete
    raise AttributeError("Cannot delete attribute %s on %s " % (attr, self))
AttributeError: Cannot delete attribute installed_by on <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f10c32f15d0> 

Local variables in innermost frame:
self: <dnf.yum.rpmsack.RPMDBAdditionalDataPackage object at 0x7f10c32f15d0>
attr: u'installed_by'
fn: u'/var/lib/dnf/yumdb/k/a2c3dabc8897b084687e8e10b05fe49e8076e578-keditbookmarks-15.04.2-1.fc21-x86_64/installed_by'
Comment 1 Abhimanyu Dhiman 2015-10-27 23:05:47 EDT
Created attachment 1087133 [details]
File: backtrace
Comment 2 Abhimanyu Dhiman 2015-10-27 23:05:53 EDT
Created attachment 1087134 [details]
File: environ
Comment 3 Honza Silhan 2015-11-02 10:24:31 EST
Thanks for the report. we'll take a look.
Comment 4 Fedora End Of Life 2015-11-04 04:54:19 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 10:47:43 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jaroslav Mracek 2016-01-05 04:47:26 EST
A new pull-request: https://github.com/rpm-software-management/dnf/pull/396 was made that should fix it.
Comment 7 Fedora Update System 2016-01-26 05:34:21 EST
dnf-plugins-core-0.1.16-1.fc23 dnf-1.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80cbf309b4
Comment 8 Fedora Update System 2016-01-26 05:35:39 EST
dnf-plugins-core-0.1.16-1.fc22 dnf-1.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 9 Fedora Update System 2016-01-26 14:52:43 EST
dnf-1.1.6-1.fc23, dnf-plugins-core-0.1.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80cbf309b4
Comment 10 Fedora Update System 2016-01-28 13:20:03 EST
dnf-1.1.6-1.fc23, dnf-plugins-core-0.1.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-28 18:19:21 EST
dnf-1.1.6-1.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 12 Fedora Update System 2016-02-03 08:06:32 EST
dnf-1.1.6-2.fc22 dnf-plugins-core-0.1.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 13 Fedora Update System 2016-02-03 18:26:51 EST
dnf-1.1.6-2.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-573eba7b37
Comment 14 Fedora Update System 2016-02-16 23:22:12 EST
dnf-1.1.6-2.fc22, dnf-plugins-core-0.1.16-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.